org.eclnt.jsfserver.streamstore

## Interface IStreamStore

- All Known Subinterfaces:
    IStreamStoreWithBinary
  All Known Implementing Classes:
    StreamStoreFile, StreamStoreJDBC, StreamStoreWithBinaryWrapper

      public interface IStreamStore

  The stream store is a simple persistency mechanism for storing streams of data. The store is an abstraction of where the stream is actually managed - e.g. it may be managed within the file system or it may be managed within a relational database.
  The stream store is used as "globally accessible file system". The most simple implementation is indeed a reflection of the stream store into the file system (and of course is nor suitable for cluster scenarios) - the higher level of implementation is a implemetation of the stream store using a database resource.
  The class name for internally creating the IStreamStore instances is taken from the system.xml definition.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIfStreamExists(java.lang.String path, boolean withError)`
    `java.util.List<java.lang.String>` | `getContainedFolders(java.lang.String path, boolean withError)`
    `java.util.List<java.lang.String>` | `getContainedStreams(java.lang.String path, boolean withError)`
    `java.lang.String` | `readUTF8(java.lang.String path, boolean withError)`
    `void` | `removeStream(java.lang.String path, boolean withError)`
    `void` | `writeUTF8(java.lang.String path, java.lang.String xml, boolean withError)`

- - ### Method Detail

    - #### getContainedStreams

          java.util.List<java.lang.String> getContainedStreams(java.lang.String path,
                                                               boolean withError)

    - #### getContainedFolders

          java.util.List<java.lang.String> getContainedFolders(java.lang.String path,
                                                               boolean withError)

    - #### readUTF8

          java.lang.String readUTF8(java.lang.String path,
                                    boolean withError)

    - #### writeUTF8

          void writeUTF8(java.lang.String path,
                         java.lang.String xml,
                         boolean withError)

    - #### removeStream

          void removeStream(java.lang.String path,
                            boolean withError)

    - #### checkIfStreamExists

          boolean checkIfStreamExists(java.lang.String path,
                                      boolean withError)

Copyright © CaptainCasa Gmbh. All Rights Reserved.